TTF_DrawSurfaceText(3)

NAME
TTF_DrawSurfaceText - Draw text to an SDL surface.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_DrawSurfaceText(TTF_Text *text, int x, int y, SDL_Surface *surface);

DESCRIPTION

text must have been created using a TTF_TextEngine
 from

TTF_CreateSurfaceTextEngine ().

FUNCTION PARAMETERS

text
    the text to draw.

x   the x coordinate in pixels, positive from the left edge towards the right.

y   the y coordinate in pixels, positive from the top edge towards the bottom.

surface
    the surface to draw on.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CreateSurfaceTextEngine(3), •(3), TTF_CreateText(3)